CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FITS::CantOpen Class Reference
FITS Exceptions

thrown on failure to open existing file More...

`#include <FITS.h>`

Inheritance diagram for CCfits::FITS::CantOpen:

List of all members.

## Public Member Functions
| CantOpen (const String &diag, bool silent=true)
| Exception ctor prefixes the string: "FITS Error: Cannot create file " before specific message.

## Detailed Description

thrown on failure to open existing file

## Constructor & Destructor Documentation

CCfits::FITS::CantOpen::CantOpen | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor prefixes the string: "FITS Error: Cannot create file " before specific message.

This exception will be thrown if users attempt to open an existing file for write access to which they do not have permission, or of course if the file does not exist.

Parameters:

  diag | A specific diagnostic message, the name of the file that was to be created.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- FITS.h
- FITS.cxx